Yuki Platform API Prod

Yuki Platform API Prod

1.0.39OAS 3.0

Unified API specification for all Yuki Platform services. This specification includes 5 APIs with 15 total endpoints.

API Base URL
  • Server 1:https://apirest.yukiworks.com/api/v1
Security
bearerAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

vismaConnect (oauth2)

This API uses OAuth 2 with the authorization code flow.

Company

Operations related to companies

Get Company by ID

Retrieves detailed information about a specific company using its unique identifier. You should have yukiapi:domain:companies:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/domains/{domain-id}/companies/{company-id}

Path Parameters

domain-idstringrequired

The domain name

Example:3afb7b54-6144-4561-9a29-1148006f2375

company-idstringrequired

The company ID

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Company object

Company

Company information object.

idstring(uuid)

Unique identifier of the company.

Example:123e4567-e89b-12d3-a456-426614174000

companyNamestring

The name of the company.

Example:Example Corp

companyDescriptionstring

A brief description of the company.

Example:Example Corp is a leading provider of innovative solutions.

addressobject

Address information object.

Show Child Parameters
mailingAddressobject

Address information object.

Show Child Parameters
countrystring | null

Country ISO code.

Example:NL

emailAddressstring

Email address.

Example:info@example.com

phonestring

Phone number.

Example:+31 20 123 4567

websitestring

Company website (optional).

Example:https://example.com

legalFormstring

Legal form of the company.
BE: Unknown, SolePartnership, PrivateLimited, PublicLimited, GeneralPartnership, LimitedPartnership, Partnership, Association, Foundation, Cooperative.
NL: values to be added later

Allowed values:UnknownSolePartnershipPrivateLimitedPublicLimitedGeneralPartnershipLimitedPartnershipPartnershipAssociationFoundationCooperative

Example:PrivateLimited

cocNumberstring

Chamber of Commerce number.

Example:12345678

internalCustomerCodestring

Internal customer code (optional).

Example:CUST001

accountingStartingDatestring(date)

Accounting starting date.

Example:2024-01-01

financialobject

Financial object containing financial-related settings.

Show Child Parameters
peppolConfigurationobjectrequired

Peppol configuration object containing Peppol-related settings.

Show Child Parameters
domainIdstring(uuid)

The unique identifier of the domain where the company belongs.

Example:456e5678-f90c-23e4-b567-537725285111

 
application/json

Update Company

This endpoint allows the modification of an existing company’s details. Ensure you have the necessary permissions before attempting to update a company. You should have yukiapi:domain:companies:update scope to access this endpoint.

put
https://apirest.yukiworks.com/api/v1/domains/{domain-id}/companies/{company-id}

Path Parameters

domain-idstringrequired

The domain name

Example:3afb7b54-6144-4561-9a29-1148006f2375

company-idstringrequired

The company ID

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Body

application/json

UpdateCompany

Company information object.

companyNamestring | null

The name of the company.

Example:Example Corp

companyDescriptionstring | null

A brief description of the company.

Example:Example Corp is a leading provider of innovative solutions.

addressobject

Address information object.

Show Child Parameters
mailingAddressobject

Address information object.

Show Child Parameters
countrystring | null

Country ISO code.

Example:NL

emailAddressstring | null

Email address.

Example:info@example.com

phonestring | null

Phone number.

Example:+31 20 123 4567

websitestring | null

Company website (optional).

Example:https://example.com

legalFormstring

Legal form of the company.
BE: Unknown, SolePartnership, PrivateLimited, PublicLimited, GeneralPartnership, LimitedPartnership, Partnership, Association, Foundation, Cooperative.
NL: values to be added later

Allowed values:UnknownSolePartnershipPrivateLimitedPublicLimitedGeneralPartnershipLimitedPartnershipPartnershipAssociationFoundationCooperative

Example:PrivateLimited

cocNumberstring | null

Chamber of Commerce number.

Example:12345678

internalCustomerCodestring | null

Internal customer code (optional).

Example:CUST001

accountingStartingDatestring | null(date)

Accounting starting date.

Example:2024-01-01

financialobject

Financial object containing financial-related settings.

Show Child Parameters

Response

Company updated successfully.

 

Patch Company Peppol Settings

Partially updates a company’s Peppol settings. You should have yukiapi:domain:companies:update scope to access this endpoint.

patch
https://apirest.yukiworks.com/api/v1/domains/{domain-id}/companies/{company-id}/settings/peppol

Path Parameters

domain-idstringrequired

The domain name

Example:3afb7b54-6144-4561-9a29-1148006f2375

company-idstringrequired

The company ID

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Body

application/json

PatchPeppolSettingsRequest

Request body for partially updating company Peppol settings.

enableSendingboolean | null

Enables or disables Peppol sending.

enableReceivingboolean | null

Enables or disables Peppol receiving.

Response

Company Peppol settings patched successfully.